#version 100

varying highp vec2 vTexCoord;
varying highp vec2 vPaperTexCoord;

uniform sampler2D texture_src;
uniform sampler2D texture_dest;

void main()
{
    lowp vec4 src = texture2D(texture_src, vTexCoord);
    lowp vec4 dest = texture2D(texture_dest, vPaperTexCoord);
    
    gl_FragColor = src + dest * (1.0-src.a);
}
